petsc-3.12.4 2020-02-04
Report Typos and Errors

# DMNetworkGetComponent

Returns the network component and its key

### Synopsis

    #include "petscdmnetwork.h"
    PetscErrorCode DMNetworkGetComponent(DM dm, PetscInt p, PetscInt compnum, PetscInt *key, void **component)

Not Collective

Input Parameters

| dm | - DMNetwork object
| p | - edge or vertex point
| compnum | - component number

### Output Parameters

| compkey | - the key set for this computing during registration
| component | - the component data

### Notes

### Typical usage

DMNetworkGetVertex/EdgeRange(dm,&Start,&End); Loop over vertices or edges DMNetworkGetNumComponents(dm,v,&numcomps); Loop over numcomps DMNetworkGetComponent(dm,v,compnum,&key,&component);

### See Also

DMNetworkGetNumComponents, DMNetworkGetVariableOffset

### Level

intermediate

### Location

src/dm/impls/network/network.c
Index of all DMNetwork routines
Table of Contents for all manual pages
Index of all manual pages